Problems building a i386<->x86_64 toolchain

Bryan Hundven bryanhundven@gmail.com
Tue May 11 19:16:00 GMT 2010


Dario,

(from build.log)
[ALL  ]    checking for as... as
[ALL  ]    checking version of as... 2.20.1, bad
[ALL  ]    checking for ld... ld
[ALL  ]    checking version of ld... 2.20.1, bad

This looks like this thread:
http://sourceware.org/ml/crossgcc/2010-05/msg00023.html

On Tue, May 11, 2010 at 11:30 AM, Dario Ernst <reply@nebuk.de> wrote:
> Hello,
>
> first off - crosstool looks awesome - it's the best tool to help with
> crosschains i've ever found :P.
>
> However, i'm still having some problems. I'd like to build a "amd64"
> (x64_64) crosscompiler on my i686 host for kernel cross-compilation. So,
> what i've done is fetched cross-toolchain, configured it (.config
> attached, hope thats no problem) and tried to build. I'm getting a error
> while configuring glibc-2.9, roughly this (full buildlog also attached...):
> *** These critical programs are missing or too old: as ld
>
> Well ..
> --[ daddel9@cheza ]---[ /home/daddel9/crosstool/build ]------------------
>  build/ > which as
> /usr/bin/as
> --[ daddel9@cheza ]---[ /home/daddel9/crosstool/build ]------------------
>  build/ > which ld
> /usr/bin/ld
> --[ daddel9@cheza ]---[ /home/daddel9/crosstool/build ]------------------
>  build/ > as --version
> GNU assembler (GNU Binutils for Debian) 2.20.1-system.20100303
> Copyright 2009 Free Software Foundation, Inc.
> This program is free software; you may redistribute it under the terms of
> the GNU General Public License version 3 or later.
> This program has absolutely no warranty.
> This assembler was configured for a target of `i486-linux-gnu'.
> --[ daddel9@cheza ]---[ /home/daddel9/crosstool/build ]------------------
>  build/ > ld --version
> GNU ld (GNU Binutils for Debian) 2.20.1-system.20100303
> Copyright 2009 Free Software Foundation, Inc.
> This program is free software; you may redistribute it under the terms of
> the GNU General Public License version 3 or (at your option) a later version.
> This program has absolutely no warranty.
>
> i'm not sure those are "too old or missing" - its the most recent debian
> has to offer, and honestly, that gotta be okay for glibc 2.9 -- or am i
> terribly wrong?
>
> Anyways, i'd be glad if someone could drop me a tip where to start
> looking... i'm really lost here.
>
> Thanks in Advance, Regards
> - Dario Ernst
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
>
> iD8DBQFL6aIZ8hrUD6BSnB0RAtebAJ94TfC4eXzUwLhWk7uau/cCEG1quwCfXhnO
> xXhWRwmydpNrukErZx6Rm/w=
> =iOim
> -----END PGP SIGNATURE-----
>
>



-- 
Bryan Hundven
bryanhundven@gmail.com

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list